## gwenview 21.07.80

=== debian/changelog ===
gwenview (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:30:42 +0100

gwenview (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:39:12 +0100

gwenview (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:35:29 +0100

gwenview (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 07:58:05 +0900

gwenview (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Bump frameworks dependency to 5.68.
  * Drop upstream patch.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 09:44:25 +0900

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: baloo-kf5-dev (>= 5.13),
               cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               kinit-dev,
               libcfitsio-dev,
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5iconthemes-dev (>= 5.68.0~),
               libkf5itemmodels-dev (>= 5.68.0~),
               libkf5kdcraw-dev (>= 21.07.80~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5kipi-dev (>= 4:21.07.80~),
               libkf5notifications-dev (>= 5.68.0~),
               libkf5parts-dev (>= 5.68.0~),
               libkf5purpose-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libkf5windowsystem-dev (>= 5.68.0~),
               liblcms2-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev (>= 4.9.1),
               libpng-dev,
               libqt5opengl5-dev (>= 5.11.0~),
               libqt5svg5-dev (>= 5.12.0~),
               libqt5x11extras5-dev (>= 5.12.0~),
               libtiff-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/gwenview
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/gwenview.git

Package: gwenview
Section: graphics
Architecture: any
Depends: kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: kamera, kio-extras, qt5-image-formats-plugins
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

## gwenview 21.08.1

=== debian/changelog ===
gwenview (4:21.08.1-0ubuntu2) impish; urgency=medium

  * Add upstream bugfix patch:
    - d/p/upstream_fix-switching-zoom-mode-via-keboard-shortcuts.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Sep 2021 14:59:38 +0100

gwenview (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:30:17 +0100

gwenview (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:58:23 +0100

gwenview (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:50:53 +0100

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
                libkf5i18n-dev (>= 5.68.0~),
                libkf5iconthemes-dev (>= 5.68.0~),
                libkf5itemmodels-dev (>= 5.68.0~),
-               libkf5kdcraw-dev (>= 21.07.80~),
+               libkf5kdcraw-dev (>= 21.08.1~),
                libkf5kio-dev (>= 5.68.0~),
-               libkf5kipi-dev (>= 4:21.07.80~),
+               libkf5kipi-dev (>= 4:21.08.1~),
                libkf5notifications-dev (>= 5.68.0~),
                libkf5parts-dev (>= 5.68.0~),
                libkf5purpose-dev (>= 5.68.0~),

## gwenview 21.11.90

=== debian/changelog ===
gwenview (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:02:12 +0000

gwenview (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:13:23 +0000

gwenview (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:22:52 +0000

gwenview (4:21.08.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:36:32 +0000

gwenview (4:21.08.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.2).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:53:01 +0900

gwenview (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:45:24 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sune Vuorela <sune@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: baloo-kf5-dev (>= 5.13),
-               cmake (>= 3.0~),
+               cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.68.0~),
                gettext,
@@ -16,12 +16,13 @@
                libjpeg-dev,
                libkf5activities-dev (>= 5.68.0~),
                libkf5doctools-dev (>= 5.68.0~),
+               libkf5guiaddons-dev (>= 5.68.0~),
                libkf5i18n-dev (>= 5.68.0~),
                libkf5iconthemes-dev (>= 5.68.0~),
                libkf5itemmodels-dev (>= 5.68.0~),
-               libkf5kdcraw-dev (>= 21.08.1~),
+               libkf5kdcraw-dev (>= 21.11.90~),
                libkf5kio-dev (>= 5.68.0~),
-               libkf5kipi-dev (>= 4:21.08.1~),
+               libkf5kipi-dev (>= 4:21.11.90~),
                libkf5notifications-dev (>= 5.68.0~),
                libkf5parts-dev (>= 5.68.0~),
                libkf5purpose-dev (>= 5.68.0~),
@@ -32,17 +33,17 @@
                libphonon4qt5experimental-dev (>= 4.9.1),
                libpng-dev,
                libqt5opengl5-dev (>= 5.11.0~),
-               libqt5svg5-dev (>= 5.12.0~),
-               libqt5x11extras5-dev (>= 5.12.0~),
+               libqt5svg5-dev (>= 5.14.0~),
+               libqt5x11extras5-dev (>= 5.14.0~),
                libtiff-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.12.0~),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.14.0~),
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/gwenview
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/gwenview.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
 
 Package: gwenview
 Section: graphics

## gwenview 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(gwenview VERSION ${RELEASE_SERVICE_VERSION})

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )

set (QT_MIN_VERSION "5.14.0")
set (KF5_MIN_VERSION "5.79.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMAddAppIcon)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
## Generate header with version number
ecm_setup_version(${RELEASE_SERVICE_VERSION}
                  VARIABLE_PREFIX GWENVIEW
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/lib/gwenview_version.h"
)

## CMake options
set(GWENVIEW_SEMANTICINFO_BACKEND_NONE OFF)
set(GWENVIEW_SEMANTICINFO_BACKEND_FAKE OFF)
set(GWENVIEW_SEMANTICINFO_BACKEND_BALOO OFF)

set(GWENVIEW_SEMANTICINFO_BACKEND "Baloo" CACHE STRING "Semantic info backend for Gwenview (Baloo/Fake/None)")

# Init GWENVIEW_SEMANTICINFO_BACKEND_* vars
if(GWENVIEW_SEMANTICINFO_BACKEND STREQUAL "None")
    set(GWENVIEW_SEMANTICINFO_BACKEND_NONE ON)
elseif(GWENVIEW_SEMANTICINFO_BACKEND STREQUAL "Fake")
    set(GWENVIEW_SEMANTICINFO_BACKEND_FAKE ON)
else()
    set(GWENVIEW_SEMANTICINFO_BACKEND_BALOO ON)
endif()

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Concurrent Svg PrintSupport)
find_package(Qt5DBus ${QT_MIN_VERSION} CONFIG QUIET)
set(HAVE_QTDBUS ${Qt5DBus_FOUND})

find_package(Phonon4Qt5 4.6.60 NO_MODULE REQUIRED)
include_directories(BEFORE SYSTEM ${PHONON_INCLUDES})
add_definitions(-DPHONON_LIB_SONAME=\"${PHONON_LIB_SONAME}\")

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    KIO
    ItemModels
    I18n
    Parts
    WindowSystem
    IconThemes
    Notifications
    GuiAddons
    WidgetsAddons
    GuiAddons
)
find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS
    Activities
    DocTools
    Purpose
)

add_definitions(-DQT_NO_FOREACH)

message(STATUS ${KF5KIO_VERSION})
if (KF5KIO_VERSION VERSION_GREATER_EQUAL "5.82.0")
    add_definitions(-DKIO_REQUEST_MIMETYPE)
endif()

## Dependencies
find_package(JPEG)
set_package_properties(JPEG PROPERTIES URL "http://libjpeg.sourceforge.net/" DESCRIPTION "JPEG image manipulation support" TYPE REQUIRED)

find_package(PNG)
set_package_properties(PNG PROPERTIES URL "http://www.libpng.org" DESCRIPTION "PNG image manipulation support" TYPE REQUIRED)

find_package(LibExiv2)
set_package_properties(LibExiv2 PROPERTIES URL "https://www.exiv2.org" DESCRIPTION "image metadata support" TYPE REQUIRED)

find_package(CFitsio)
set_package_properties(CFitsio PROPERTIES URL "https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" DESCRIPTION "FITS format support" TYPE OPTIONAL)
if(CFITSIO_FOUND)
    set(HAVE_FITS true)
endif()

find_package(TIFF)
set_package_properties(TIFF PROPERTIES DESCRIPTION "Library for reading TIFF files"
                       URL "http://www.libtiff.org/"
                       TYPE OPTIONAL
                       PURPOSE "Disable uninteresting log messages from libtiff by default"
                       )
if (TIFF_FOUND)
    set(HAVE_TIFF true)
endif()

find_package(KF5Kipi)
if (KF5Kipi_FOUND)
   set(KIPI_FOUND true)
endif()
set_package_properties(KF5Kipi PROPERTIES URL "https://phabricator.kde.org/source/kipi-plugins/" DESCRIPTION "Provides various image manipulation and export features" TYPE OPTIONAL)

find_package(LCMS2)
set_package_properties(LCMS2 PROPERTIES URL "http://www.littlecms.com" DESCRIPTION "Color management engine" TYPE REQUIRED)

if (GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
    find_package(KF5Baloo 5.1.90)
    set_package_properties(KF5Baloo PROPERTIES URL "https://commits.kde.org/baloo" DESCRIPTION "Desktop-wide semantic information support" TYPE OPTIONAL)
    if (NOT KF5Baloo_FOUND)
        message (STATUS "You have selected Baloo for semantic backend, but required version was not found. Overriding the backend to None")
        unset(GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
        set(GWENVIEW_SEMANTICINFO_BACKEND_NONE ON)
    endif ()
endif ()

find_package(KF5KDcraw)
if (KF5KDcraw_FOUND)
   add_definitions(-DKDCRAW_FOUND)
endif()
set_package_properties(KF5KDcraw PROPERTIES URL "https://phabricator.kde.org/source/libkdcraw/" DESCRIPTION "C++ interface around LibRaw library used to decode RAW picture files" TYPE OPTIONAL)


find_package(X11)
if(X11_FOUND)
   find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED X11Extras)
   set(HAVE_X11 1)
endif()

configure_file(config-gwenview.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gwenview.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

function(JoinListAsString VALUES GLUE OUTPUT)
    string(REPLACE ";" "${GLUE}" _TMP_STR "${VALUES}")
    set(${OUTPUT} "${_TMP_STR}" PARENT_SCOPE)
endfunction()

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

set(IMAGE_MIME_TYPES_LIST
    image/avif
    image/gif
    image/jpeg
    image/png
    image/bmp
    image/x-eps
    image/x-icns
    image/x-ico
    image/x-portable-bitmap
    image/x-portable-graymap
    image/x-portable-pixmap
    image/x-xbitmap
    image/x-xpixmap
    image/tiff
    image/x-psd
    image/x-webp
    image/webp
    image/x-tga
    application/x-krita
)
if (KF5KDcraw_FOUND)
    list(APPEND IMAGE_MIME_TYPES_LIST
        image/x-kde-raw
        image/x-canon-cr2
        image/x-canon-crw
        image/x-kodak-dcr
        image/x-adobe-dng
        image/x-kodak-k25
        image/x-kodak-kdc
        image/x-minolta-mrw
        image/x-nikon-nef
        image/x-olympus-orf
        image/x-pentax-pef
        image/x-fuji-raf
        image/x-panasonic-rw
        image/x-sony-sr2
        image/x-sony-srf
        image/x-sigma-x3f
        image/x-sony-arw
        image/x-panasonic-rw2
    )
endif()
JoinListAsString("${IMAGE_MIME_TYPES_LIST}" ";" IMAGE_MIME_TYPES)

## dirs to build
add_subdirectory(lib)
add_subdirectory(app)
add_subdirectory(importer)
add_subdirectory(part)
add_subdirectory(tests)
add_subdirectory(icons)
add_subdirectory(images)
add_subdirectory(cursors)
add_subdirectory(color-schemes)
add_subdirectory(doc)
add_subdirectory(kconf_update)
ecm_qt_install_logging_categories(EXPORT GWENVIEW FILE gwenview.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (ECM_VERSION VERSION_GREATER_EQUAL 5.80.0)
    include(KDEClangFormat)
    # add clang-format target
    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

    include(KDEGitCommitHooks)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif ()
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== app/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    )

# For lib/gwenviewconfig.h and config-gwenview.h
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/..
    )

set(gwenview_SRCS
    abstractcontextmanageritem.cpp
    alignwithsidebarwidgetaction.cpp
    configdialog.cpp
    gvcore.cpp
    documentinfoprovider.cpp
    viewmainpage.cpp
    fileoperations.cpp
    filtercontroller.cpp
    folderviewcontextmanageritem.cpp
    fullscreencontent.cpp
    infocontextmanageritem.cpp
    imagemetainfodialog.cpp
    imageopscontextmanageritem.cpp
    fileopscontextmanageritem.cpp
    main.cpp
    mainwindow.cpp
    preloader.cpp
    renamedialog.cpp
    saveallhelper.cpp
    savebar.cpp
    sidebar.cpp
    startmainpage.cpp
    thumbnailviewhelper.cpp
    browsemainpage.cpp
    gwenview.qrc
    )
ecm_qt_declare_logging_category(gwenview_SRCS HEADER gwenview_app_debug.h IDENTIFIER GWENVIEW_APP_LOG CATEGORY_NAME org.kde.kdegraphics.gwenview.app DESCRIPTION "gwenview app (kdegraphics)" EXPORT GWENVIEW)
# need by GV_RETURN_VALUE_IF_FAIL
ecm_qt_declare_logging_category(gwenview_SRCS HEADER gwenview_lib_debug.h IDENTIFIER GWENVIEW_LIB_LOG CATEGORY_NAME org.kde.kdegraphics.gwenview.lib DESCRIPTION "gwenview lib (kdegraphics)" EXPORT GWENVIEW)

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    set (gwenview_SRCS
        ${gwenview_SRCS}
        semanticinfocontextmanageritem.cpp
        )
endif()

if (KF5Kipi_FOUND)
    set (gwenview_SRCS
        ${gwenview_SRCS}
        kipiexportaction.cpp
        kipiimagecollectionselector.cpp
        kipiinterface.cpp
        kipiuploadwidget.cpp
        )
endif()

ki18n_wrap_ui(gwenview_SRCS
    advancedconfigpage.ui
    fullscreenconfigwidget.ui
    generalconfigpage.ui
    imageviewconfigpage.ui
    renamedialog.ui
    semanticinfodialog.ui
    startmainpage.ui
    browsemainpage.ui
    )

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    ki18n_wrap_ui(gwenview_SRCS
        semanticinfosidebaritem.ui
        )
endif()

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-gwenview.png")
ecm_add_app_icon(gwenview_SRCS ICONS ${ICONS_SRCS})

add_executable(gwenview ${gwenview_SRCS})

target_link_libraries(gwenview
    KF5::ItemModels
    KF5::Notifications
    KF5::WidgetsAddons
    KF5::GuiAddons
    gwenviewlib
    )

if (KF5Activities_FOUND)
    target_link_libraries(gwenview KF5::Activities)
endif()

if (KF5Purpose_FOUND)
    target_link_libraries(gwenview KF5::PurposeWidgets)
endif()

target_link_libraries(gwenview LINK_INTERFACE_LIBRARIES KF5::KIOCore Qt5::Core)

if (KF5Kipi_FOUND)
    target_link_libraries(gwenview KF5::Kipi)
endif()

if (HAVE_TIFF)
    target_link_libraries(gwenview TIFF::TIFF)
endif()

if (APPLE)
    # own plist template
    set_target_properties (gwenview PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/MacOSXBundleInfo.plist.in)
    # the MacOSX bundle display name property (CFBundleDisplayName) is not currently supported by cmake,
    # so has to be set for all targets in this cmake file
    set(MACOSX_BUNDLE_DISPLAY_NAME Gwenview5)
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.gwenview")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Gwenview5")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_DISPLAY_NAME "Gwenview5")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_INFO_STRING "Gwenview, KDE Image Viewer")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING "Gwenview ${RELEASE_SERVICE_VERSION}")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING "${KDE_APPLICATIONS_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
    set_target_properties(gwenview PROPERTIES MACOSX_BUNDLE_COPYRIGHT "2002-2016 The Gwenview Authors")
endif (APPLE)

configure_file(org.kde.gwenview.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.gwenview.desktop)

install(TARGETS gwenview
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.gwenview.desktop
    DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.gwenview.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR})

# slideshowfileitemaction plugin

add_definitions(-DTRANSLATION_DOMAIN=\"gwenview\")

kcoreaddons_add_plugin(slideshowfileitemaction
    SOURCES slideshowfileitemaction.cpp
    INSTALL_NAMESPACE "kf5/kfileitemaction")

target_link_libraries(slideshowfileitemaction
    KF5::I18n
    KF5::KIOWidgets
    KF5::Notifications)

=== debian/changelog ===
gwenview (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:06:39 +0000

gwenview (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:13:09 +0000

gwenview (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:21:02 +0000

gwenview (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:17:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gwenview
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -20,9 +21,9 @@
                libkf5i18n-dev (>= 5.68.0~),
                libkf5iconthemes-dev (>= 5.68.0~),
                libkf5itemmodels-dev (>= 5.68.0~),
-               libkf5kdcraw-dev (>= 21.11.90~),
+               libkf5kdcraw-dev (>= 21.12.3~),
                libkf5kio-dev (>= 5.68.0~),
-               libkf5kipi-dev (>= 4:21.11.90~),
+               libkf5kipi-dev (>= 4:21.12.3~),
                libkf5notifications-dev (>= 5.68.0~),
                libkf5parts-dev (>= 5.68.0~),
                libkf5purpose-dev (>= 5.68.0~),

## gwenview 22.08.2

=== debian/changelog ===
gwenview (4:22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:14:10 +0100

gwenview (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:36:11 +0100

gwenview (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * New build depend on libkimageannotator-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:46:32 +0100

gwenview (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:23:47 +0100

gwenview (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:57:27 +0100

gwenview (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:54:21 +0100

gwenview (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:44:03 +0100

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,15 @@
                libkf5i18n-dev (>= 5.68.0~),
                libkf5iconthemes-dev (>= 5.68.0~),
                libkf5itemmodels-dev (>= 5.68.0~),
-               libkf5kdcraw-dev (>= 21.12.3~),
+               libkf5kdcraw-dev (>= 22.08.1~),
                libkf5kio-dev (>= 5.68.0~),
-               libkf5kipi-dev (>= 4:21.12.3~),
+               libkf5kipi-dev (>= 4:22.08.1~),
                libkf5notifications-dev (>= 5.68.0~),
                libkf5parts-dev (>= 5.68.0~),
                libkf5purpose-dev (>= 5.68.0~),
                libkf5widgetsaddons-dev (>= 5.68.0~),
                libkf5windowsystem-dev (>= 5.68.0~),
+               libkimageannotator-dev,
                liblcms2-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev (>= 4.9.1),

## gwenview 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
@@ -10,8 +10,10 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )
 
-set (QT_MIN_VERSION "5.14.0")
-set (KF5_MIN_VERSION "5.79.0")
+set (QT_MIN_VERSION "5.15.2")
+set (KF5_MIN_VERSION "5.90.0")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -51,11 +53,16 @@
     set(GWENVIEW_SEMANTICINFO_BACKEND_BALOO ON)
 endif()
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Concurrent Svg PrintSupport)
-find_package(Qt5DBus ${QT_MIN_VERSION} CONFIG QUIET)
-set(HAVE_QTDBUS ${Qt5DBus_FOUND})
-
-find_package(Phonon4Qt5 4.6.60 NO_MODULE REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Concurrent Svg PrintSupport)
+find_package(Qt${QT_MAJOR_VERSION}DBus ${QT_MIN_VERSION} CONFIG QUIET)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    find_package(Qt6SvgWidgets)
+    find_package(Qt6OpenGLWidgets)
+endif()
+
+set(HAVE_QTDBUS ${Qt${QT_MAJOR_VERSION}DBus_FOUND})
+
+find_package(Phonon4Qt${QT_MAJOR_VERSION} 4.6.60 NO_MODULE REQUIRED)
 include_directories(BEFORE SYSTEM ${PHONON_INCLUDES})
 add_definitions(-DPHONON_LIB_SONAME=\"${PHONON_LIB_SONAME}\")
 
@@ -79,11 +86,6 @@
 
 add_definitions(-DQT_NO_FOREACH)
 
-message(STATUS ${KF5KIO_VERSION})
-if (KF5KIO_VERSION VERSION_GREATER_EQUAL "5.82.0")
-    add_definitions(-DKIO_REQUEST_MIMETYPE)
-endif()
-
 ## Dependencies
 find_package(JPEG)
 set_package_properties(JPEG PROPERTIES URL "http://libjpeg.sourceforge.net/" DESCRIPTION "JPEG image manipulation support" TYPE REQUIRED)
@@ -109,12 +111,6 @@
 if (TIFF_FOUND)
     set(HAVE_TIFF true)
 endif()
-
-find_package(KF5Kipi)
-if (KF5Kipi_FOUND)
-   set(KIPI_FOUND true)
-endif()
-set_package_properties(KF5Kipi PROPERTIES URL "https://phabricator.kde.org/source/kipi-plugins/" DESCRIPTION "Provides various image manipulation and export features" TYPE OPTIONAL)
 
 find_package(LCMS2)
 set_package_properties(LCMS2 PROPERTIES URL "http://www.littlecms.com" DESCRIPTION "Color management engine" TYPE REQUIRED)
@@ -133,13 +129,31 @@
 if (KF5KDcraw_FOUND)
    add_definitions(-DKDCRAW_FOUND)
 endif()
-set_package_properties(KF5KDcraw PROPERTIES URL "https://phabricator.kde.org/source/libkdcraw/" DESCRIPTION "C++ interface around LibRaw library used to decode RAW picture files" TYPE OPTIONAL)
-
-
-find_package(X11)
-if(X11_FOUND)
-   find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED X11Extras)
-   set(HAVE_X11 1)
+set_package_properties(KF5KDcraw PROPERTIES URL "https://invent.kde.org/graphics/libkdcraw/" DESCRIPTION "C++ interface around LibRaw library used to decode RAW picture files" TYPE OPTIONAL)
+
+
+option(WITHOUT_X11 "Build without X11 integration (disables finding X11)" OFF)
+if(NOT WITHOUT_X11)
+    find_package(X11)
+    if(X11_FOUND)
+        if (QT_MAJOR_VERSION STREQUAL "5")
+            find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED X11Extras)
+        endif()
+        # we need to add qt6 lib when we found x11
+        set(HAVE_X11 TRUE)
+    endif()
+endif()
+
+if (QT_MAJOR_VERSION STREQUAL "5")
+    find_package(kImageAnnotator)
+    set_package_properties(kImageAnnotator PROPERTIES URL "https://github.com/ksnip/kImageAnnotator" DESCRIPTION "The kImageAnnotator library provides tools to annotate" TYPE REQUIRED)
+    if(kImageAnnotator_FOUND)
+        set(KIMAGEANNOTATOR_FOUND 1)
+        find_package(kColorPicker REQUIRED)
+        if(NOT kImageAnnotator_VERSION VERSION_LESS 0.5.0)
+            set(KIMAGEANNOTATOR_CAN_LOAD_TRANSLATIONS 1)
+        endif()
+    endif()
 endif()
 
 configure_file(config-gwenview.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gwenview.h)
@@ -158,7 +172,9 @@
 set(IMAGE_MIME_TYPES_LIST
     image/avif
     image/gif
+    image/heif
     image/jpeg
+    image/jxl
     image/png
     image/bmp
     image/x-eps
@@ -174,6 +190,7 @@
     image/x-webp
     image/webp
     image/x-tga
+    image/x-xcf
     application/x-krita
 )
 if (KF5KDcraw_FOUND)
@@ -214,18 +231,17 @@
 add_subdirectory(kconf_update)
 ecm_qt_install_logging_categories(EXPORT GWENVIEW FILE gwenview.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
+ki18n_install(po)
+if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+endif()
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-if (ECM_VERSION VERSION_GREATER_EQUAL 5.80.0)
-    include(KDEClangFormat)
-    # add clang-format target
-    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-
-    include(KDEGitCommitHooks)
-    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-endif ()
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()
+include(KDEClangFormat)
+# add clang-format target
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+include(KDEGitCommitHooks)
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== tests/auto/CMakeLists.txt ===
include(ECMAddTests)

macro(gv_add_unit_test _test)
    ecm_add_test(
        ${_test}.cpp ${ARGN}
        TEST_NAME ${_test}
        LINK_LIBRARIES Qt::Test gwenviewlib
        )
    add_dependencies(buildtests ${_test})
endmacro(gv_add_unit_test)

kde_source_files_enable_exceptions(
    documenttest.cpp
    imagemetainfomodeltest.cpp
)

include_directories(
    ${gwenview_SOURCE_DIR}
    ${importer_SOURCE_DIR}
    )

# For config-gwenview.h
include_directories(
    ${gwenview_BINARY_DIR}
    )

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

if (KF5KDcraw_FOUND)
    gv_add_unit_test(documenttest testutils.cpp)
endif()
gv_add_unit_test(transformimageoperationtest)
gv_add_unit_test(jpegcontenttest)
gv_add_unit_test(thumbnailprovidertest testutils.cpp)
if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    gv_add_unit_test(semanticinfobackendtest)
endif()
gv_add_unit_test(timeutilstest)
gv_add_unit_test(placetreemodeltest testutils.cpp)
gv_add_unit_test(urlutilstest)
gv_add_unit_test(historymodeltest)
set(import_debug_file_SRCS)
ecm_qt_declare_logging_category(import_debug_file_SRCS HEADER gwenview_importer_debug.h IDENTIFIER GWENVIEW_IMPORTER_LOG CATEGORY_NAME org.kde.kdegraphics.gwenview.importer)
gv_add_unit_test(importertest testutils.cpp
    ${importer_SOURCE_DIR}/importer.cpp
    ${importer_SOURCE_DIR}/fileutils.cpp
    ${importer_SOURCE_DIR}/filenameformater.cpp
    ${import_debug_file_SRCS}
    )
gv_add_unit_test(sorteddirmodeltest testutils.cpp)
gv_add_unit_test(slidecontainerautotest slidecontainerautotest.cpp)
gv_add_unit_test(imagemetainfomodeltest testutils.cpp)
gv_add_unit_test(cmsprofiletest testutils.cpp)
gv_add_unit_test(recursivedirmodeltest testutils.cpp)
gv_add_unit_test(contextmanagertest testutils.cpp)

=== debian/changelog ===
gwenview (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:10 +0100

gwenview (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - shows again RAW files when built with kdcraw (Closes: #1027937)
  * Remove inactive Uploaders.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop patch fix-incorrect-path-for-interpreter, as now dh_perl fixes the
    perl interpreter.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 08:01:37 +0100

gwenview (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:58:59 +0100

gwenview (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:20 +0100

gwenview (4:22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 May 2022 23:16:39 +0200

gwenview (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable blhc, as it should work fine now.
  * Use secure URI in Homepage field.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 15:48:39 +0100

gwenview (4:21.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (21.12.2).
  * Update B-Ds and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 22 Feb 2022 02:58:09 +0100

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: baloo-kf5-dev (>= 5.13),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               kinit-dev,
               libcfitsio-dev,
               libexiv2-dev,
               libjpeg-dev,
               libkcolorpicker-dev,
               libkf5activities-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5guiaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5itemmodels-dev (>= 5.90.0~),
               libkf5kdcraw-dev,
               libkf5kio-dev (>= 5.90.0~),
               libkf5kipi-dev,
               libkf5notifications-dev (>= 5.90.0~),
               libkf5parts-dev (>= 5.90.0~),
               libkf5purpose-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkimageannotator-dev,
               liblcms2-dev,
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev (>= 4.9.1),
               libpng-dev,
               libqt5opengl5-dev (>= 5.14.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libtiff-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/gwenview
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/gwenview.git

Package: gwenview
Section: graphics
Architecture: any
Depends: kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
Recommends: kamera, kio-extras, qt5-image-formats-plugins,
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DGWENVIEW_SEMANTICINFO_BACKEND_NONE=true -DBUILD_TESTING=OFF

## gwenview 23.08.0

=== debian/changelog ===
gwenview (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:50:21 +0100

gwenview (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:30:24 +0100

gwenview (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:42:35 +0100

gwenview (4:23.04.2-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Bump Gear build deps to 23.04.2

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jun 2023 12:27:20 +0100

gwenview (4:23.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libqt5waylandclient5-dev, libwayland-dev, qtbase5-private-dev,
      qtwayland5-dev-tools, and wayland-protocols
    - drop libkf5kipi-dev, no more needed
    - explicitly add libx11-dev
  * Pass -DGWENVIEW_NO_WAYLAND_GESTURES=ON to cmake on non-Linux architectures,
    as the Wayland bits are enabled by default.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Jun 2023 07:58:19 +0200

gwenview (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update Build-Depends:
    - add libqt5waylandclient5-dev
    - add libwayland-dev
    - add plasma-wayland-protocols
    - add qtbase5-private-dev
    - add qtwayland5-dev-tools
    - add wayland-protocols
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:53:58 +0100

gwenview (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:34:31 +0000

gwenview (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:11:05 -0600

gwenview (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:38 +0000

gwenview (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Bump Gear build deps to 22.12,

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Dec 2022 09:25:13 +0000

gwenview (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:05:24 +0000

gwenview (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:01:49 +0000

gwenview (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 08:48:04 +0000

gwenview (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:05:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gwenview
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: baloo-kf5-dev (>= 5.13),
                cmake (>= 3.16~),
@@ -20,9 +21,8 @@
                libkf5i18n-dev (>= 5.90.0~),
                libkf5iconthemes-dev (>= 5.90.0~),
                libkf5itemmodels-dev (>= 5.90.0~),
-               libkf5kdcraw-dev,
+               libkf5kdcraw-dev (>= 23.08.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5kipi-dev,
                libkf5notifications-dev (>= 5.90.0~),
                libkf5parts-dev (>= 5.90.0~),
                libkf5purpose-dev (>= 5.90.0~),
@@ -35,15 +35,21 @@
                libpng-dev,
                libqt5opengl5-dev (>= 5.14.0~),
                libqt5svg5-dev (>= 5.15.2~),
+               libqt5waylandclient5-dev (>= 5.15.2~) [linux-any],
                libqt5x11extras5-dev (>= 5.15.2~),
                libtiff-dev,
+               libwayland-dev (>= 1.9~) [linux-any],
+               libx11-dev,
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
+               qtbase5-private-dev (>= 5.15.2~),
+               qtwayland5-dev-tools (>= 5.15.2~) [linux-any],
+               wayland-protocols [linux-any],
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/gwenview
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/gwenview.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
 
 Package: gwenview
 Section: graphics

## gwenview 23.08.1

=== debian/changelog ===
gwenview (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:55:30 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5i18n-dev (>= 5.90.0~),
                libkf5iconthemes-dev (>= 5.90.0~),
                libkf5itemmodels-dev (>= 5.90.0~),
-               libkf5kdcraw-dev (>= 23.08.0~),
+               libkf5kdcraw-dev (>= 23.08.1~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5notifications-dev (>= 5.90.0~),
                libkf5parts-dev (>= 5.90.0~),

## gwenview 23.08.4

=== debian/changelog ===
gwenview (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:11:47 +0000

gwenview (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:30:58 +0000

gwenview (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:27:20 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5i18n-dev (>= 5.90.0~),
                libkf5iconthemes-dev (>= 5.90.0~),
                libkf5itemmodels-dev (>= 5.90.0~),
-               libkf5kdcraw-dev (>= 23.08.1~),
+               libkf5kdcraw-dev (>= 23.08.4~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5notifications-dev (>= 5.90.0~),
                libkf5parts-dev (>= 5.90.0~),
